Package org.springframework.jmx.export.metadata

# Class JmxMetadataUtils

java.lang.Object
org.springframework.jmx.export.metadata.JmxMetadataUtils

public abstract class JmxMetadataUtils extends Object
Utility methods for converting Spring JMX metadata into their plain JMX equivalents.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`JmxMetadataUtils()`

## Method Summary

Modifier and Type
Method
Description
`static ModelMBeanNotificationInfo`
`convertToModelMBeanNotificationInfo(ManagedNotification notificationInfo)`
Convert the supplied `ManagedNotification` into the corresponding `ModelMBeanNotificationInfo`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmxMetadataUtils

public JmxMetadataUtils()

## Method Details

### convertToModelMBeanNotificationInfo

public static ModelMBeanNotificationInfo convertToModelMBeanNotificationInfo(ManagedNotification notificationInfo)
Convert the supplied `ManagedNotification` into the corresponding `ModelMBeanNotificationInfo`.